"use-client"

import { useRouter } from 'next/router';
import { useEffect, useState } from 'react';
import { PrismaClient } from '@prisma/client';

const prisma = new PrismaClient();

export default function Followers() {
  const router = useRouter();
  const { userId } = router.query;
  const [followers, setFollowers] = useState([]);

  //Zeigt die User an die Follower sind.
  useEffect(() => {
    if (userId) {
      prisma.user.findUnique({
        where: { id: Number(userId) },
        include: { followers: true },
      })
      .then((user) => {
        setFollowers(user.followers);
      })
      .catch((error) => {
        console.error('Error retrieving followers:', error);
      });
    }
  }, [userId]);

  return (
    <div>
      <h1>Followers</h1>
      {followers.map((follower) => (
        <div key={follower.id}>
          <p>{follower.userName}</p>
        </div>
      ))}
    </div>
  );
}